Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface GeodesicString

All Superinterfaces:
  CurveSegment, GenericCurve

All Known Subinterfaces:
  Geodesic

    @UML(identifier="GM_GeodesicString",
         specification=ISO_19107)
    public interface GeodesicString

extends CurveSegment

Sequence of geodesic segments. The interface essentially combines a `Sequence<`Geodesic`>` into a single object, with the obvious savings of storage space.

Since:
  GeoAPI 1.0
Version:
  ISO 19107
See Also:
  `GeometryFactory.createGeodesicString(java.util.List)`

Method Summary
`List<Geodesic>` | `asGeodesics()` Decomposes a geodesic string into an equivalent sequence of geodesic segments.
`PointArray` | `getControlPoints()` Returns a sequence of positions between which this `GeodesicString` is interpolated using geodesics from the geoid or ellipsoid of the coordinate reference system being used.
`CurveInterpolation` | `getInterpolation()` The interpolation for a `GeodesicString` is "geodesic".

Methods inherited from interface CurveSegment
`getBoundary, getCurve, getNumDerivativesAtEnd, getNumDerivativesAtStart, getNumDerivativesInterior, getSamplePoints, reverse`

Methods inherited from interface GenericCurve
`asLineString, forConstructiveParam, forParam, getEndConstructiveParam, getEndParam, getEndPoint, getParamForPoint, getStartConstructiveParam, getStartParam, getStartPoint, getTangent, length, length`

Method Detail

### getControlPoints

    @UML(identifier="controlPoint",
         obligation=MANDATORY,
         specification=ISO_19107)
    PointArray getControlPoints()

  Returns a sequence of positions between which this `GeodesicString` is interpolated using geodesics from the geoid or ellipsoid of the coordinate reference system being used. The organization of these points is identical to that in `LineString`.

  Returns:
    The control points.

### getInterpolation

    @UML(identifier="interpolation",
         obligation=MANDATORY,
         specification=ISO_19107)
    CurveInterpolation getInterpolation()

  The interpolation for a `GeodesicString` is "geodesic".

  Specified by:
    `getInterpolation` in interface `CurveSegment`
  Returns:
    Always `CurveInterpolation.GEODESIC`.

### asGeodesics

    @UML(identifier="asGM_Geodesic",
         obligation=MANDATORY,
         specification=ISO_19107)
    List<Geodesic> asGeodesics()

  Decomposes a geodesic string into an equivalent sequence of geodesic segments.

  Returns:
    The equivalent sequence of geodesic segments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.